#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=mineral5.4_base.ps
projection=-JM16.0c+
region=-R-78.3/-77.7/37.7/38.1
gmt psbasemap $region $projection -Bxa0.2f0.1 -Bya0.2f0.1 -BWeSn+t'Base Map mineral5.4' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/f10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    37.919   -78.006
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    37.923   -77.961
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    37.908   -78.003
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    37.962   -78.009
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    37.897   -78.010
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    37.952   -77.989
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    37.967   -77.928
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    37.968   -77.937
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    37.927   -77.990
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    37.942   -77.987
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    37.937   -77.966
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    37.937   -77.989
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    37.938   -77.987
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    37.937   -77.994
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    37.938   -77.987
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    37.967   -77.935
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    37.945   -77.948
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    37.906   -77.982
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    37.942   -77.963
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    37.920   -77.983
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    37.921   -77.883
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    37.944   -77.945
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    37.948   -77.968
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    37.933   -77.985
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    37.925   -77.880
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    37.967   -77.935
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    37.959   -77.945
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    37.948   -77.964
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    37.951   -77.964
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    37.936   -77.986
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    37.930   -77.986
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    37.927   -77.990
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
    37.974   -77.826
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
    37.976   -77.828
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
    37.957   -77.944
END
gmt psxy -: -R $projection -Sl8p+t"36" -G0 -O -K << END >> $psfile
    37.917   -78.000
END
gmt psxy -: -R $projection -Sl8p+t"37" -G0 -O -K << END >> $psfile
    37.974   -77.828
END
gmt psxy -: -R $projection -Sl8p+t"38" -G0 -O -K << END >> $psfile
    37.947   -77.969
END
gmt psxy -: -R $projection -Sl8p+t"39" -G0 -O -K << END >> $psfile
    37.952   -77.841
END
gmt psxy -: -R $projection -Sl8p+t"40" -G0 -O -K << END >> $psfile
    37.933   -77.981
END
gmt psxy -: -R $projection -Sl8p+t"41" -G0 -O -K << END >> $psfile
    37.951   -77.978
END
gmt psxy -: -R $projection -Sl8p+t"42" -G0 -O -K << END >> $psfile
    37.931   -77.985
END
gmt psxy -: -R $projection -Sl8p+t"43" -G0 -O -K << END >> $psfile
    37.971   -77.827
END
gmt psxy -: -R $projection -Sl8p+t"44" -G0 -O -K << END >> $psfile
    37.941   -77.987
END
gmt psxy -: -R $projection -Sl8p+t"45" -G0 -O -K << END >> $psfile
    37.949   -77.960
END
gmt psxy -: -R $projection -Sl8p+t"46" -G0 -O -K << END >> $psfile
    37.941   -77.990
END
gmt psxy -: -R $projection -Sl8p+t"47" -G0 -O -K << END >> $psfile
    37.948   -77.962
END
gmt psxy -: -R $projection -Sl8p+t"48" -G0 -O -K << END >> $psfile
    37.976   -77.971
END
gmt psxy -: -R $projection -Sl8p+t"49" -G0 -O -K << END >> $psfile
    37.942   -77.989
END
gmt psxy -: -R $projection -Sl8p+t"50" -G0 -O -K << END >> $psfile
    37.944   -77.989
END
gmt psxy -: -R $projection -Sl8p+t"51" -G0 -O -K << END >> $psfile
    37.948   -77.968
END
gmt psxy -: -R $projection -Sl8p+t"52" -G0 -O -K << END >> $psfile
    37.949   -77.968
END
gmt psxy -: -R $projection -Sl8p+t"53" -G0 -O -K << END >> $psfile
    37.945   -78.135
END
gmt psxy -: -R $projection -Sl8p+t"54" -G0 -O -K << END >> $psfile
    37.948   -77.967
END
gmt psxy -: -R $projection -Sl8p+t"55" -G0 -O -K << END >> $psfile
    37.930   -77.984
END
gmt psxy -: -R $projection -Sl8p+t"56" -G0 -O -K << END >> $psfile
    37.957   -78.001
END
gmt psxy -: -R $projection -Sl8p+t"57" -G0 -O -K << END >> $psfile
    37.972   -77.883
END
gmt psxy -: -R $projection -Sl8p+t"58" -G0 -O -K << END >> $psfile
    37.959   -77.998
END
gmt psxy -: -R $projection -Sl8p+t"59" -G0 -O -K << END >> $psfile
    37.918   -78.001
END
gmt psxy -: -R $projection -Sl8p+t"60" -G0 -O -K << END >> $psfile
    37.925   -77.988
END
gmt psxy -: -R $projection -Sl8p+t"61" -G0 -O -K << END >> $psfile
    37.914   -77.994
END
gmt psxy -: -R $projection -Sl8p+t"62" -G0 -O -K << END >> $psfile
    37.939   -77.990
END
gmt psxy -: -R $projection -Sl8p+t"63" -G0 -O -K << END >> $psfile
    37.918   -77.995
END
gmt psxy -: -R $projection -Sl8p+t"64" -G0 -O -K << END >> $psfile
    37.917   -78.001
END
gmt psxy -: -R $projection -Sl8p+t"65" -G0 -O -K << END >> $psfile
    37.907   -77.988
END
gmt psxy -: -R $projection -Sl8p+t"66" -G0 -O -K << END >> $psfile
    37.912   -77.990
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.920   -78.006
    37.919   -78.006
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.919   -78.040
    37.919   -78.006
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.923   -77.967
    37.923   -77.961
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.931   -77.935
    37.923   -77.961
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.908   -78.005
    37.908   -78.003
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.910   -78.004
    37.908   -78.003
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.961   -78.004
    37.962   -78.009
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.971   -78.004
    37.962   -78.009
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.898   -78.006
    37.897   -78.010
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.926   -77.868
    37.897   -78.010
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.952   -77.988
    37.952   -77.989
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.991   -78.037
    37.952   -77.989
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.967   -77.928
    37.967   -77.928
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.945   -77.898
    37.967   -77.928
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.969   -77.938
    37.968   -77.937
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.903   -77.814
    37.968   -77.937
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.927   -77.990
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.888   -77.939
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.942   -77.987
    37.942   -77.987
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.940   -77.989
    37.942   -77.987
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.937   -77.966
    37.937   -77.966
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.937   -77.965
    37.937   -77.966
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.937   -77.989
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.936   -77.985
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.938   -77.987
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.939   -77.987
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.937   -77.994
    37.937   -77.994
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.934   -77.990
    37.937   -77.994
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.938   -77.987
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.936   -77.988
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.967   -77.935
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.965   -77.934
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.945   -77.948
    37.945   -77.948
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.949   -77.946
    37.945   -77.948
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.905   -77.981
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.907   -77.976
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.942   -77.963
    37.942   -77.963
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.939   -77.966
    37.942   -77.963
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.920   -77.983
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.920   -77.982
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.921   -77.883
    37.921   -77.883
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.923   -77.883
    37.921   -77.883
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.944   -77.945
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.950   -77.932
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.948   -77.968
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.945   -77.970
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.933   -77.985
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.933   -77.986
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.924   -77.881
    37.925   -77.880
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.924   -77.880
    37.925   -77.880
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.967   -77.935
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.969   -77.930
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.959   -77.945
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.959   -77.946
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.949   -77.964
    37.948   -77.964
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.949   -77.966
    37.948   -77.964
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.951   -77.965
    37.951   -77.964
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.960   -77.976
    37.951   -77.964
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.936   -77.986
    37.936   -77.986
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.937   -77.987
    37.936   -77.986
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.930   -77.987
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.928   -77.988
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.927   -77.990
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.925   -77.988
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.973   -77.829
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.974   -77.827
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.976   -77.828
    37.976   -77.828
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.977   -77.831
    37.976   -77.828
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.957   -77.944
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.958   -77.944
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.917   -78.000
    37.917   -78.000
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.909   -78.012
    37.917   -78.000
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.974   -77.828
    37.974   -77.828
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.974   -77.823
    37.974   -77.828
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.947   -77.970
    37.947   -77.969
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.956   -77.967
    37.947   -77.969
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.952   -77.841
    37.952   -77.841
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.949   -77.844
    37.952   -77.841
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.933   -77.981
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.933   -77.987
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.951   -77.978
    37.951   -77.978
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.948   -77.977
    37.951   -77.978
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.932   -77.985
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.919   -77.966
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.972   -77.827
    37.971   -77.827
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.973   -77.827
    37.971   -77.827
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.941   -77.987
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.940   -77.983
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.949   -77.960
    37.949   -77.960
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.949   -77.963
    37.949   -77.960
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.941   -77.990
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.946   -77.951
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.948   -77.963
    37.948   -77.962
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.947   -77.966
    37.948   -77.962
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.976   -77.971
    37.976   -77.971
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.977   -77.979
    37.976   -77.971
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.942   -77.989
    37.942   -77.989
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.941   -77.945
    37.942   -77.989
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.945   -77.989
    37.944   -77.989
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.931   -77.936
    37.944   -77.989
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.948   -77.968
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.947   -77.969
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.949   -77.968
    37.949   -77.968
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.951   -77.969
    37.949   -77.968
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.945   -78.135
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.943   -78.129
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.949   -77.967
    37.948   -77.967
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.949   -77.969
    37.948   -77.967
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.930   -77.985
    37.930   -77.984
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.943   -77.986
    37.930   -77.984
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.957   -78.001
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.958   -78.000
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.972   -77.883
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.969   -77.885
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.959   -77.998
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.959   -77.999
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.918   -78.002
    37.918   -78.001
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.917   -78.004
    37.918   -78.001
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.925   -77.988
    37.925   -77.988
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.925   -77.988
    37.925   -77.988
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.914   -77.994
    37.914   -77.994
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.910   -77.996
    37.914   -77.994
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.939   -77.991
    37.939   -77.990
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.987   -77.985
    37.939   -77.990
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.918   -77.996
    37.918   -77.995
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.913   -77.984
    37.918   -77.995
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.917   -78.001
    37.917   -78.001
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.920   -77.995
    37.917   -78.001
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.908   -77.988
    37.907   -77.988
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.906   -77.988
    37.907   -77.988
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.912   -77.990
    37.912   -77.990
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.910   -77.996
    37.912   -77.990
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    37.919   -78.006    18.076     1.060     1.076
    37.923   -77.961     4.075     1.585     1.722
    37.908   -78.003   -17.171     1.859     2.675
    37.962   -78.009    60.539     1.170     1.857
    37.897   -78.010    56.520     1.444     2.481
    37.952   -77.989    29.150     0.708     0.982
    37.967   -77.928     9.252     0.880     1.672
    37.968   -77.937    25.699     0.592     1.058
    37.927   -77.990     4.928     0.383     0.496
    37.942   -77.987    10.574     0.562     0.708
    37.937   -77.966   -12.366     0.473     0.657
    37.937   -77.989   -16.358     0.532     0.700
    37.938   -77.987    -8.654     0.511     0.669
    37.937   -77.994     5.975     0.624     0.885
    37.938   -77.987   -18.661     0.582     0.727
    37.967   -77.935    -0.926     0.422     0.430
    37.945   -77.948    44.206     0.339     0.383
    37.906   -77.982   -24.162     0.466     0.628
    37.942   -77.963   -43.464     0.295     0.386
    37.920   -77.983   -30.987     0.407     0.643
    37.921   -77.883   -25.865     0.446     0.517
    37.944   -77.945   -21.341     0.421     0.501
    37.948   -77.968    10.447     0.496     0.598
    37.933   -77.985   -30.029     0.271     0.338
    37.925   -77.880     9.534     0.596     0.744
    37.967   -77.935    64.924     0.405     0.443
    37.959   -77.945     3.971     0.436     0.494
    37.948   -77.964   -20.476     0.410     0.484
    37.951   -77.964   -18.267     0.389     0.507
    37.936   -77.986    -8.079     0.469     0.554
    37.930   -77.986   -11.792     0.665     0.742
    37.927   -77.990    -7.514     0.511     0.646
    37.974   -77.826    43.610     0.648     0.842
    37.976   -77.828    31.902     0.674     0.945
    37.957   -77.944     9.752     0.289     0.342
    37.917   -78.000   -34.536     0.354     0.416
    37.974   -77.828    25.682     0.517     0.768
    37.947   -77.969   -25.030     0.308     0.444
    37.952   -77.841   -11.613     0.558     0.734
    37.933   -77.981   -37.193     0.309     0.345
    37.951   -77.978   -47.414     0.368     0.415
    37.931   -77.985   -20.766     0.546     0.671
    37.971   -77.827    38.496     0.589     0.653
    37.941   -77.987   -21.727     0.449     0.524
    37.949   -77.960   -35.195     0.405     0.476
    37.941   -77.990   -35.288     0.510     0.592
    37.948   -77.962   -39.410     0.692     0.796
    37.976   -77.971    64.156     0.372     0.429
    37.942   -77.989     7.172     0.641     0.705
    37.944   -77.989   -44.427     0.747     0.775
    37.948   -77.968    73.182     0.418     0.532
    37.949   -77.968    77.883     0.448     0.572
    37.945   -78.135     9.933     0.721     0.964
    37.948   -77.967    67.936     0.397     0.453
    37.930   -77.984   -21.457     0.584     0.631
    37.957   -78.001    -2.776     0.572     0.622
    37.972   -77.883    45.420     0.581     0.724
    37.959   -77.998   -22.351     0.633     0.717
    37.918   -78.001   -20.459     0.531     0.650
    37.925   -77.988   -29.805     0.449     0.566
    37.914   -77.994   -32.566     0.493     0.766
    37.939   -77.990   -75.543     0.683     0.769
    37.918   -77.995   -31.541     0.604     0.712
    37.917   -78.001   -78.853     0.700     0.837
    37.907   -77.988   -45.898     0.819     0.947
    37.912   -77.990   -14.396     0.590     0.741
END
# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    37.919   -78.006     0.300
END

# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    37.801   -78.217    12.174     0.359     0.415
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    37.801   -78.194   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    37.801   -78.217     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    37.801   -78.217     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    37.756   -78.217   5 km
END
