#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=mineral5.4_epa_1.ps
projection=-JM16.0c+
region=-R-97.3/-58.7/22.7/53.1
gmt psbasemap $region $projection -Bxa5.0f1.0 -Bya5.0f1.0 -BWeSn+t'Empirical Path Anomalies: Pn mineral5.4' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/ETOPO/etopo2.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -M -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    37.941   282.035     0.300
END
# Station symbols
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    39.410   283.160    -0.165
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    37.246   280.022    -0.020
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    37.211   279.580     0.208
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    39.999   283.649    -0.116
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    39.658   280.154     0.396
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    35.239   282.110    -0.199
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    40.636   282.112     0.026
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    39.927   284.549    -0.118
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    40.599   284.628     0.044
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    40.683   285.434    -0.011
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    35.142   278.667     0.189
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    41.557   284.232     0.050
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    41.083   285.394    -0.004
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    41.649   279.855     0.242
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    40.791   286.040    -0.037
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    41.006   286.092    -0.021
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    34.821   278.186     0.265
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    34.282   278.740     0.032
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.406   281.396     0.128
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.118   280.011     0.215
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    42.199   284.014    -0.020
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    40.232   277.018     0.235
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    36.544   276.451     0.203
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    42.732   282.093     0.004
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    34.232   277.741     0.058
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.925   281.147     0.121
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    32.987   279.928    -0.012
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    35.658   276.226     0.261
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    32.908   279.806    -0.243
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    35.450   275.478     0.295
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.301   276.343     0.596
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    33.411   276.533     0.068
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    43.384   286.332    -0.028
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    42.506   288.442    -0.255
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    43.971   285.776    -0.101
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    44.620   285.417    -0.177
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    36.130   272.170     0.130
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    44.825   275.383    -0.031
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    40.556   270.706     0.190
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    45.264   290.708    -0.103
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    44.892   291.328    -0.083
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    41.315   287.064    -0.038
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    32.986   279.929     0.008
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    32.908   279.806    -0.214
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.731   286.333     0.111
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    42.279   287.647    -0.231
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    41.918   288.461    -0.120
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    42.385   288.678    -0.345
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    42.335   288.829    -0.201
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    35.216   274.068     0.355
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    45.040   282.925    -0.224
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    43.999   286.819    -0.052
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    43.705   287.714     0.180
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    43.470   288.347    -0.037
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    40.379   272.903    -0.033
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    44.835   286.412    -0.196
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    44.240   288.074     0.250
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    31.439   276.410     0.047
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    38.734   271.901     0.570
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    46.222   285.444    -0.184
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    36.342   271.136     0.211
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    33.035   273.002     0.225
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    44.565   290.342    -0.084
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    35.911   270.660     0.074
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    34.512   270.591    -0.101
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    36.779   269.570     0.274
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    40.268   281.434     0.178
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    40.962   280.011     0.134
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    41.508   280.335     0.122
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    37.677   271.420     0.192
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    39.468   271.379     0.084
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    38.903   270.983     0.157
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    36.348   271.237     0.088
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    38.248   270.919     0.145
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    37.694   270.745     0.083
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    33.903   272.151    -0.006
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    33.376   272.444     0.027
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    35.740   271.041     0.023
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    40.286   270.687     0.067
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    39.641   270.479    -0.113
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    36.339   270.649     0.037
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    38.941   270.301     0.118
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    37.086   270.410     0.218
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    38.276   270.069     0.221
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    35.157   270.814    -0.047
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    36.505   270.314    -0.026
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    33.199   271.930     0.049
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    37.572   269.925     0.205
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    33.883   271.142    -0.026
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    35.828   270.105     0.081
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    39.585   269.656     0.120
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    37.083   269.712     0.113
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    34.424   270.607     0.029
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    32.094   272.261     0.188
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    32.674   271.729     0.186
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    35.140   270.184     0.125
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    33.107   279.822    -0.005
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    40.917   284.230    -0.089
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    40.228   283.278    -0.168
END
gmt pstext -: -R $projection -F+f5p,Helvetica,black+a0.+jBL -O -K << END >> $psfile
    39.410   283.160   SDMD 
    37.246   280.022   VWCC 
    37.211   279.580   BLA  
    39.999   283.649   MVL  
    39.658   280.154   MCWV 
    35.239   282.110   CNNC 
    40.636   282.112   SSPA 
    39.927   284.549   PSUB 
    40.599   284.628   LUPA 
    40.683   285.434   BRNJ 
    35.142   278.667   KMSC 
    41.557   284.232   KSPA 
    41.083   285.394   ODNJ 
    41.649   279.855   ALLY 
    40.791   286.040   CPNY 
    41.006   286.092   PAL  
    34.821   278.186   PAULI
    34.282   278.740   JSC  
    42.406   281.396   WVNY 
    42.118   280.011   ERPA 
    42.199   284.014   BINY 
    40.232   277.018   ACSO 
    36.544   276.451   TZTN 
    42.732   282.093   MMNY 
    34.232   277.741   HODGE
    42.925   281.147   BUF  
    32.987   279.928   CSB  
    35.658   276.226   TKL  
    32.908   279.806   RGR  
    35.450   275.478   CPCT 
    42.301   276.343   AAM  
    33.411   276.533   GOGA 
    43.384   286.332   ACCN 
    42.506   288.442   HRV  
    43.971   285.776   NCB  
    44.620   285.417   LONY 
    36.130   272.170   WVT  
    44.825   275.383   GLMI 
    40.556   270.706   HDIL 
    45.264   290.708   PKME 
    44.892   291.328   ORNO 
    41.315   287.064   YLE  
    32.986   279.929   CSU  
    32.908   279.806   RGRS 
    42.731   286.333   TRY  
    42.279   287.647   QUA2 
    41.918   288.461   BRYW 
    42.385   288.678   WES  
    42.335   288.829   BCX  
    35.216   274.068   SWET 
    45.040   282.925   PLVO 
    43.999   286.819   MDV  
    43.705   287.714   HNH  
    43.470   288.347   FFD  
    40.379   272.903   SFIN 
    44.835   286.412   FRNY 
    44.240   288.074   LBNH 
    31.439   276.410   TIGA 
    38.734   271.901   OLIL 
    46.222   285.444   TRQ  
    36.342   271.136   UTMT 
    33.035   273.002   LRAL 
    44.565   290.342   WVL  
    35.911   270.660   HALT 
    34.512   270.591   OXF  
    36.779   269.570   PBMO 
    40.268   281.434   O56A 
    40.962   280.011   N54A 
    41.508   280.335   M54A 
    37.677   271.420   S45A 
    39.468   271.379   P44A 
    38.903   270.983   Q44A 
    36.348   271.237   U45A 
    38.248   270.919   R44A 
    37.694   270.745   S44A 
    33.903   272.151   Y47A 
    33.376   272.444   Z48A 
    35.740   271.041   V45A 
    40.286   270.687   O43A 
    39.641   270.479   P43A 
    36.339   270.649   U44B 
    38.941   270.301   Q43A 
    37.086   270.410   T44A 
    38.276   270.069   R43A 
    35.157   270.814   W45A 
    36.505   270.314   U44A 
    33.199   271.930   Z47A 
    37.572   269.925   S43A 
    33.883   271.142   Y46A 
    35.828   270.105   V44A 
    39.585   269.656   P42A 
    37.083   269.712   T43A 
    34.424   270.607   X45A 
    32.094   272.261   248A 
    32.674   271.729   147A 
    35.140   270.184   W44A 
    33.107   279.822   NHSC 
    40.917   284.230   N59A 
    40.228   283.278   PAGS 
END
gmt pstext -: -R $projection -F+f8p,Helvetica,black+a0.+jBL -O -K << END >> $psfile
    26.948   -95.548   Closed circles: stations used in direct calibration
END
gmt psxy -: -R $projection -Sc -Wthick,blue  -O -K << END >> $psfile
    24.998   -94.153    -0.500
    24.998   -92.158    -0.250
END
gmt psxy -: -R $projection -Sc -Wthick,green  -K -O << END >> $psfile
    24.998   -90.448     0.100
END
gmt psxy -: -R $projection -Sc -Wthick,red  -K -O << END >> $psfile
    24.998   -88.453     0.250
    24.998   -86.458     0.500
END
gmt pstext -: -R $projection -F+f8p,Helvetica,black+a0.+jBL -O << END >> $psfile
    26.003   -95.553   Station Residuals (sec.)
    23.498   -95.053   -2
    23.498   -92.953   -1
    23.498   -90.703   0
    23.498   -89.278   +1
    23.498   -87.253   +2
END
