#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=mineral5.4_dcal.ps
projection=-JM16.0c+
region=-R-81.1/-74.8/35.5/40.4
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration mineral5.4' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/f10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.919   -78.006
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.919   -78.006
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.919   -78.006
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.919   -78.006
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.919   -78.006
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.919   -78.006
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.923   -77.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.923   -77.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.923   -77.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.908   -78.003
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.908   -78.003
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.908   -78.003
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.962   -78.009
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.897   -78.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.897   -78.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.897   -78.010
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.952   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.952   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.952   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.841   -77.994
    37.952   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.952   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.740   -78.056
    37.952   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.952   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.952   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.952   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.952   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.952   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.967   -77.928
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.967   -77.928
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.967   -77.928
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.967   -77.928
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.841   -77.994
    37.967   -77.928
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.967   -77.928
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.967   -77.928
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.740   -78.056
    37.967   -77.928
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.967   -77.928
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.967   -77.928
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.967   -77.928
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.967   -77.928
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.968   -77.937
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.968   -77.937
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.968   -77.937
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.968   -77.937
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.968   -77.937
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.968   -77.937
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.968   -77.937
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.968   -77.937
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.841   -77.994
    37.968   -77.937
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.968   -77.937
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.968   -77.937
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.968   -77.937
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.740   -78.056
    37.968   -77.937
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.968   -77.937
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.486   -78.256
    37.968   -77.937
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.968   -77.937
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.841   -77.994
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.740   -78.056
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.634   -78.140
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.942   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.942   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.942   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.942   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.942   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.942   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.942   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.942   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.942   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.841   -77.994
    37.942   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.942   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.942   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.942   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.942   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.942   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.099   -77.891
    37.942   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.942   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.942   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.942   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.942   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.634   -78.140
    37.942   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.486   -78.256
    37.942   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.942   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.942   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.942   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.942   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.937   -77.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.937   -77.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.937   -77.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.937   -77.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.937   -77.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.937   -77.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.937   -77.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.937   -77.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.937   -77.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.937   -77.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.937   -77.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.937   -77.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.937   -77.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.937   -77.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.937   -77.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.937   -77.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.099   -77.891
    37.937   -77.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.937   -77.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.937   -77.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.937   -77.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.937   -77.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.937   -77.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.937   -77.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.937   -77.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.937   -77.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.937   -77.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.937   -77.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.099   -77.891
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.135   -77.521
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.937   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.099   -77.891
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.135   -77.521
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.937   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.937   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.937   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.937   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.937   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.937   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.937   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.937   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.937   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.937   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.937   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.937   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.937   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.099   -77.891
    37.937   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.937   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.937   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.937   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.937   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.937   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.937   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.135   -77.521
    37.937   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.937   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.937   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.937   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.937   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.937   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.937   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.937   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.937   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.937   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.937   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.937   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.099   -77.891
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.938   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.949   -78.026
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.949   -78.026
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.099   -77.891
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.945   -77.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.945   -77.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.945   -77.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.945   -77.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.945   -77.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.945   -77.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.945   -77.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.945   -77.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.949   -78.026
    37.945   -77.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.945   -77.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.945   -77.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.945   -77.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.945   -77.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.945   -77.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.945   -77.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.945   -77.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.945   -77.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.945   -77.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.945   -77.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.945   -77.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.945   -77.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.945   -77.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.945   -77.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.945   -77.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.945   -77.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.945   -77.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.945   -77.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.945   -77.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.945   -77.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.945   -77.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.949   -78.026
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.935   -77.915
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.978   -77.998
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.016   -77.956
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.099   -77.891
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.135   -77.521
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.906   -77.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.942   -77.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.942   -77.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.942   -77.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.942   -77.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.942   -77.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.949   -78.026
    37.942   -77.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.949   -78.026
    37.942   -77.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.942   -77.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.942   -77.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.942   -77.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.942   -77.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.942   -77.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.942   -77.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.942   -77.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.942   -77.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.942   -77.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.942   -77.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.942   -77.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.942   -77.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.942   -77.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.942   -77.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.942   -77.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.942   -77.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.942   -77.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.942   -77.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.942   -77.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.942   -77.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.942   -77.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.942   -77.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.942   -77.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.949   -78.026
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.949   -78.026
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.099   -77.891
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.920   -77.983
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.921   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.921   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.921   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.921   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.921   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.921   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.921   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.921   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.921   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.921   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.921   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.921   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.921   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.921   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.921   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.921   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.949   -78.026
    37.921   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.921   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.921   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.921   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.921   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.921   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.921   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.921   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.921   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.921   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.921   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.921   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.921   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.921   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.921   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.935   -77.915
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.978   -77.998
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.949   -78.026
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.016   -77.956
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.099   -77.891
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.135   -77.521
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.944   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.949   -78.026
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.099   -77.891
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.135   -77.521
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.949   -78.026
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.949   -78.026
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.099   -77.891
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.933   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.925   -77.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.925   -77.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.925   -77.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.925   -77.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.925   -77.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.925   -77.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.925   -77.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.925   -77.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.925   -77.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.925   -77.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.925   -77.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.925   -77.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.949   -78.026
    37.925   -77.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.925   -77.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.925   -77.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.925   -77.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.925   -77.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.925   -77.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.099   -77.891
    37.925   -77.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.925   -77.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.925   -77.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.925   -77.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.925   -77.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.925   -77.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.135   -77.521
    37.925   -77.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.925   -77.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.925   -77.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.925   -77.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.925   -77.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.925   -77.880
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.935   -77.915
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.016   -77.956
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.978   -77.998
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.949   -78.026
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.949   -78.026
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.099   -77.891
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.967   -77.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.949   -78.026
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.099   -77.891
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.135   -77.521
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.959   -77.945
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.948   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.948   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.948   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.948   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.949   -78.026
    37.948   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.949   -78.026
    37.948   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.948   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.948   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.948   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.948   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.948   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.948   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.948   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.948   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.948   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.948   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.948   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.948   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.948   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.948   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.948   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.948   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.948   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.948   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.099   -77.891
    37.948   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.948   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.948   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.948   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.948   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.948   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.951   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.951   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.951   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.949   -78.026
    37.951   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.951   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.951   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.951   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.951   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.951   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.951   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.951   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.951   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.951   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.951   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.951   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.951   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.951   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.951   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.951   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.951   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.951   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.951   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.099   -77.891
    37.951   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.951   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.951   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.951   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.951   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.951   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.951   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.951   -77.964
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.936   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.949   -78.026
    37.936   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.936   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.936   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.936   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.936   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.936   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.936   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.936   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.936   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.936   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.936   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.936   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.936   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.936   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.099   -77.891
    37.936   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.936   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.936   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.936   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.936   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.936   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.936   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.936   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.936   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.936   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.936   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.936   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.936   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.936   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.936   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.949   -78.026
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.099   -77.891
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.135   -77.521
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.135   -77.521
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.930   -77.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.949   -78.026
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.099   -77.891
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.135   -77.521
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.927   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.099   -77.891
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.949   -78.026
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.135   -77.521
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.135   -77.521
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.974   -77.826
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.976   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.976   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.976   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.976   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.976   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.976   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.976   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.976   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.976   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.976   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.099   -77.891
    37.976   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.976   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.976   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.976   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.976   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.949   -78.026
    37.976   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.976   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.976   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.976   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.976   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.976   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.976   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.135   -77.521
    37.976   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.976   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.976   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.976   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.976   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.949   -78.026
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.949   -78.026
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.099   -77.891
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.957   -77.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.917   -78.000
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.917   -78.000
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.917   -78.000
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.949   -78.026
    37.917   -78.000
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.949   -78.026
    37.917   -78.000
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.917   -78.000
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.917   -78.000
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.917   -78.000
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.917   -78.000
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.917   -78.000
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.917   -78.000
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.917   -78.000
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.917   -78.000
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.917   -78.000
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.917   -78.000
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.917   -78.000
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.917   -78.000
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.917   -78.000
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.917   -78.000
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.917   -78.000
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.917   -78.000
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.099   -77.891
    37.917   -78.000
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.917   -78.000
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.917   -78.000
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.917   -78.000
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.917   -78.000
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.917   -78.000
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.917   -78.000
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.974   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.974   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.974   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.974   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.974   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.974   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.974   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.974   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.974   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.974   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.974   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.974   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.974   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.099   -77.891
    37.974   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.974   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.974   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.974   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.974   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.974   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.974   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.949   -78.026
    37.974   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.974   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.974   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.974   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.974   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.974   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.135   -77.521
    37.974   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.974   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.974   -77.828
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.947   -77.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.947   -77.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.947   -77.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.947   -77.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.949   -78.026
    37.947   -77.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.947   -77.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.947   -77.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.947   -77.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.947   -77.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.947   -77.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.947   -77.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.947   -77.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.947   -77.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.947   -77.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.947   -77.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.947   -77.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.947   -77.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.947   -77.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.947   -77.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.947   -77.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.947   -77.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.947   -77.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.099   -77.891
    37.947   -77.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.947   -77.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.947   -77.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.947   -77.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.947   -77.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.947   -77.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.947   -77.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.952   -77.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.952   -77.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.952   -77.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.952   -77.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.952   -77.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.935   -77.915
    37.952   -77.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.952   -77.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.952   -77.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.952   -77.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.952   -77.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.952   -77.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.952   -77.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.952   -77.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.016   -77.956
    37.952   -77.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.952   -77.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.952   -77.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.952   -77.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.952   -77.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.978   -77.998
    37.952   -77.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.952   -77.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.952   -77.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.952   -77.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.949   -78.026
    37.952   -77.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.952   -77.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.952   -77.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.952   -77.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.952   -77.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.952   -77.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.949   -78.026
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.949   -78.026
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.967
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.875   -77.932
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.099   -77.891
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.933   -77.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.951   -77.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.951   -77.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.951   -77.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.951   -77.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.951   -77.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.951   -77.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.951   -77.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.951   -77.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.951   -77.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.951   -77.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.951   -77.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.951   -77.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.951   -77.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.951   -77.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.951   -77.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.099   -77.891
    37.951   -77.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.951   -77.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.951   -77.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.951   -77.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.951   -77.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.951   -77.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.951   -77.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.135   -77.521
    37.951   -77.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.951   -77.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.951   -77.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.951   -77.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.951   -77.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.951   -77.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.951   -77.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.951   -77.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.099   -77.891
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.931   -77.985
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.971   -77.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.971   -77.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.971   -77.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.971   -77.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.971   -77.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.971   -77.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.971   -77.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.971   -77.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.971   -77.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.971   -77.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.971   -77.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.971   -77.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.971   -77.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.971   -77.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.971   -77.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.971   -77.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.971   -77.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.971   -77.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.971   -77.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.971   -77.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.971   -77.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.971   -77.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.971   -77.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.971   -77.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.971   -77.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.971   -77.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.971   -77.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.971   -77.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.971   -77.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.971   -77.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.099   -77.891
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.135   -77.521
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.135   -77.521
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.941   -77.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.949   -77.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.949   -77.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.949   -77.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.949   -77.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.949   -77.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.949   -77.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.949   -77.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.949   -77.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.949   -77.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.949   -77.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.949   -77.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.949   -77.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.949   -77.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.949   -77.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.949   -77.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.949   -77.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.949   -77.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.949   -77.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.949   -77.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.949   -77.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.099   -77.891
    37.949   -77.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.949   -77.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.949   -77.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.949   -77.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.949   -77.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.949   -77.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.949   -77.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.949   -77.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.949   -77.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.949   -77.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.978   -77.998
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.935   -77.915
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.016   -77.956
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.099   -77.891
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.135   -77.521
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.941   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.948   -77.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.948   -77.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.948   -77.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.948   -77.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.948   -77.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.972   -77.895
    37.948   -77.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.948   -77.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.948   -77.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.948   -77.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.943   -77.864
    37.948   -77.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.948   -77.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.948   -77.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.948   -77.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.948   -77.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.948   -77.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.848   -77.869
    37.948   -77.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.948   -77.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.099   -77.891
    37.948   -77.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.948   -77.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.948   -77.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.948   -77.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.948   -77.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.948   -77.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.948   -77.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.948   -77.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.948   -77.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.948   -77.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.135   -77.521
    37.948   -77.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.948   -77.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.948   -77.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.976   -77.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.976   -77.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.976   -77.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.976   -77.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.976   -77.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.976   -77.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.976   -77.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.976   -77.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.976   -77.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.976   -77.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.976   -77.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.976   -77.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.976   -77.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.976   -77.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.976   -77.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.099   -77.891
    37.976   -77.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.976   -77.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.976   -77.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.976   -77.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.976   -77.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.976   -77.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.976   -77.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.976   -77.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.976   -77.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.976   -77.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.976   -77.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.976   -77.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.976   -77.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.942   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.942   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.942   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.942   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.942   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.942   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.942   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.942   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.942   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.942   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.942   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.942   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.942   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.942   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.942   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.942   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.942   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.942   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.942   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.942   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.942   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.942   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.942   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.942   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.942   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.942   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.135   -77.521
    37.942   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.135   -77.521
    37.942   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.942   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.942   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.942   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.942   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.944   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.944   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.944   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.944   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.944   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.944   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.944   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.944   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.944   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.944   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.944   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.944   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.944   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.944   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.944   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.944   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.944   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.944   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.944   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.944   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.944   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.944   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.944   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.944   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.944   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.135   -77.521
    37.944   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.944   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.944   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.944   -77.989
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.135   -77.521
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.135   -77.521
    37.948   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.949   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.949   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.949   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.949   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.949   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.949   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.949   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.949   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.949   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.949   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.949   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.949   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.949   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.949   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.949   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.949   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.949   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.949   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.949   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.949   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.949   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.949   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.949   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.949   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.949   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.949   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.949   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.949   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.949   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.949   -77.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.945   -78.135
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.948   -77.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.948   -77.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.948   -77.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.948   -77.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.948   -77.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.948   -77.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.948   -77.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.948   -77.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.948   -77.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.948   -77.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.948   -77.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.948   -77.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.948   -77.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.948   -77.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.948   -77.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.948   -77.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.948   -77.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.948   -77.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.948   -77.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.948   -77.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.948   -77.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.948   -77.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.948   -77.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.948   -77.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.948   -77.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.948   -77.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.948   -77.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.948   -77.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.948   -77.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.948   -77.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.948   -77.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.930   -77.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.930   -77.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.930   -77.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.930   -77.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.930   -77.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.930   -77.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.930   -77.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.930   -77.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.930   -77.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.930   -77.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.930   -77.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.930   -77.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.930   -77.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.930   -77.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.930   -77.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.930   -77.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.930   -77.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.930   -77.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.930   -77.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.930   -77.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.930   -77.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.930   -77.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.135   -77.521
    37.930   -77.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.135   -77.521
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.957   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.135   -77.521
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.135   -77.521
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.135   -77.521
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.972   -77.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.959   -77.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.918   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.918   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.918   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.918   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.918   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.918   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.918   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.918   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.918   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.877   -78.127
    37.918   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.918   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.918   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.918   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.918   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.918   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.918   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.918   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.918   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.918   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.918   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.918   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.918   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.918   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.918   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.918   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.918   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.918   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.918   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.918   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.925   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.925   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.925   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.925   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.925   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.925   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.925   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.925   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.925   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.925   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.925   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.925   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.925   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.925   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.925   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.925   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.925   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.925   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.925   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.925   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.044   -77.791
    37.925   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.925   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.925   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.925   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.925   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.925   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.925   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.914   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.914   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.914   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.914   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.914   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.970   -78.017
    37.914   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.914   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.914   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.914   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.855   -77.917
    37.914   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.914   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.011   -77.908
    37.914   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.914   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.914   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.914   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.914   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.914   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.914   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.914   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077   -77.750
    37.914   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.914   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.914   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.914   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.914   -77.994
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.939   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.939   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.939   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.939   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.939   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.939   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.939   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.939   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.939   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.939   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.939   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.939   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.939   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.939   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.939   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.135   -77.521
    37.939   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.939   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.939   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.939   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.939   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.939   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.939   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.918   -77.995
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.918   -77.995
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.918   -77.995
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.918   -77.995
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.918   -77.995
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.918   -77.995
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.918   -77.995
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.918   -77.995
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.918   -77.995
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.918   -77.995
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.918   -77.995
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.918   -77.995
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.918   -77.995
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.918   -77.995
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.918   -77.995
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.918   -77.995
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.918   -77.995
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.135   -77.521
    37.918   -77.995
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.918   -77.995
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.918   -77.995
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.918   -77.995
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.918   -77.995
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.918   -77.995
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.918   -77.995
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.135   -77.521
    37.918   -77.995
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.918   -77.995
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.917   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.917   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.917   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.917   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.917   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.917   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.917   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.917   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.917   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.917   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.917   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.917   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.917   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.917   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.917   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.917   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.917   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.917   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.917   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.917   -78.001
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.907   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.907   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.907   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.907   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.907   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.907   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.907   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.907   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.907   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.907   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.907   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.907   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.907   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.907   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.907   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.907   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.907   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.907   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.907   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.907   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.205   -77.373
    37.907   -77.988
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.912   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.912   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.912   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.919   -78.030
    37.912   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.912   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.957   -77.911
    37.912   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.912   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.021   -78.015
    37.912   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.899   -77.841
    37.912   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.912   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.912   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.912   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.912   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.830   -77.756
    37.912   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.912   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.912   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.912   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.912   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.912   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.912   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.571   -77.536
    37.912   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.933   -77.982
    37.912   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.912   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.023   -77.880
    37.912   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.912   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.092   -78.094
    37.912   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.069   -77.808
    37.912   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.694   -77.879
    37.912   -77.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.120   -77.623
    37.912   -77.990
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    37.571   -77.536     0.300
    38.205   -77.373     0.300
    37.972   -77.895     0.300
    38.023   -77.880     0.300
    37.841   -77.994     0.300
    37.848   -77.869     0.300
    37.740   -78.056     0.300
    37.943   -77.864     0.300
    37.875   -77.932     0.300
    37.875   -77.967     0.300
    38.069   -77.808     0.300
    38.077   -77.750     0.300
    37.486   -78.256     0.300
    37.970   -78.017     0.300
    37.957   -77.911     0.300
    37.855   -77.917     0.300
    37.877   -78.127     0.300
    37.899   -77.841     0.300
    37.694   -77.879     0.300
    37.634   -78.140     0.300
    38.120   -77.623     0.300
    38.099   -77.891     0.300
    38.021   -78.015     0.300
    38.092   -78.094     0.300
    37.933   -77.982     0.300
    37.830   -77.756     0.300
    38.135   -77.521     0.300
    38.011   -77.908     0.300
    37.949   -78.026     0.300
    37.919   -78.030     0.300
    37.935   -77.915     0.300
    37.978   -77.998     0.300
    38.016   -77.956     0.300
    38.044   -77.791     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.919   -78.006     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.923   -77.961     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.908   -78.003     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.962   -78.009     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.897   -78.010     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.952   -77.989     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.967   -77.928     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.968   -77.937     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.927   -77.990     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.942   -77.987     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.937   -77.966     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.937   -77.989     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.938   -77.987     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.937   -77.994     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.938   -77.987     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.967   -77.935     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.945   -77.948     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.906   -77.982     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.942   -77.963     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.920   -77.983     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.921   -77.883     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.944   -77.945     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.948   -77.968     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.933   -77.985     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.925   -77.880     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.967   -77.935     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.959   -77.945     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.948   -77.964     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.951   -77.964     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.936   -77.986     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.930   -77.986     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.927   -77.990     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.974   -77.826     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.976   -77.828     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.957   -77.944     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.917   -78.000     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.974   -77.828     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.947   -77.969     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.952   -77.841     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.933   -77.981     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.951   -77.978     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.931   -77.985     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.971   -77.827     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.941   -77.987     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.949   -77.960     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.941   -77.990     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.948   -77.962     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.976   -77.971     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.942   -77.989     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.944   -77.989     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.948   -77.968     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.949   -77.968     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.945   -78.135     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.948   -77.967     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.930   -77.984     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.957   -78.001     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.972   -77.883     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.959   -77.998     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.918   -78.001     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.925   -77.988     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.914   -77.994     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.939   -77.990     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.918   -77.995     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.917   -78.001     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.907   -77.988     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.912   -77.990     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    37.941   -77.965     0.000   222.000   222.000
    37.941   -77.965     0.000   444.000   444.000
END
